%define upstream_name	 HTTP-Request-Params
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Retrieve GET/POST Parameters from HTTP Requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.0.0
BuildRequires: perl(Class::Accessor::Fast) >= 0.190.0
BuildRequires: perl(Email::MIME::ContentType) >= 1.0.0
BuildRequires: perl(Email::MIME::Modifier) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request) >= 1.400.0
BuildRequires: perl(HTTP::Request::Common) >= 1.260.0
BuildArch:  noarch
Requires: perl(Class::Accessor::Fast)

%description
This software does all the dirty work of parsing HTTP Requests to find incoming
query parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/HTTP
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.20.0-7.mga10
+ Revision: 2207742
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.20.0-6.mga9
+ Revision: 1817144
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-5.mga8
+ Revision: 1495018
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-4.mga7
+ Revision: 1268527
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-3.mga6
+ Revision: 1028446
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.20.0-2.mga6
+ Revision: 969186
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.20.0-1.mga6
+ Revision: 864383
- update to 1.02

* Sun Oct 19 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 788545
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 751244
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 685012
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 sander85 <sander85> 1.10.0-3.mga4
+ Revision: 559569
- Fix build
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 368329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.10.0-1.mga3
+ Revision: 268200
- adding missing requires:

* Sun Jan 23 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 33835
- mageia rebuild
- imported package perl-HTTP-Request-Params


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 403305
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.01-7mdv2009.0
+ Revision: 257253
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.01-5mdv2008.1
+ Revision: 122711
- kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-5mdv2007.0
- Rebuild

* Thu May 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-4mdk
- buildrequires fix
- better buildrequirres syntax
- better source URL

* Mon Apr 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.01-3mdk
- Add BuildRequires

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk
- fix buildrequires

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- first mdk release

